petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecPointwiseMaxAbs

Computes the componentwise maximum of the absolute values w_i = max(abs(x_i), abs(y_i)).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseMaxAbs(Vec w,Vec x,Vec y)

Logically Collective on Vec Many br

### Input Parameters

x, y -the vectors Many br

### Output Parameter

w -the result Many br

Many br

Notes: any subset of the x, y, and w may be the same vector. Many br

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMin(), VecPointwiseMax(), VecMaxPointwiseDivide()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages